[PATCH 1 of 5] Add a test for the Branch header being in hg export

hopper at omnifarious.org hopper at omnifarious.org
Thu May 17 11:43:42 CDT 2007


# HG changeset patch
# User Eric Hopper <hopper at omnifarious.org>
# Date 1179417131 25200
# Node ID 32486cd3207b70bbbb16b336c566ec8246ee760d
# Parent  a764edb6fc952e620438a6c7a8cc10bcffe80039
Add a test for the Branch header being in hg export.

diff --git a/tests/test-impexp-branch b/tests/test-impexp-branch
new file mode 100755
--- /dev/null
+++ b/tests/test-impexp-branch
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+cat >findbranch.py <<EOF
+import re, sys
+
+head_re = re.compile('^#(?:(?:\\s+([A-Za-z][A-Za-z0-9_]*)(?:\\s.*)?)|(?:\\s*))$')
+
+for line in sys.stdin:
+    hmatch = head_re.match(line)
+    if not hmatch:
+        sys.exit(1)
+    if hmatch.group(1) == 'Branch':
+        sys.exit(0)
+sys.exit(1)
+EOF
+hg init a
+cd a
+echo "Rev 1" >rev
+hg add rev
+hg commit -m "No branch."
+hg branch abranch
+echo "Rev 2" >rev
+hg commit -m "With branch."
+if hg export 0 | python ../findbranch.py; then
+    echo "Export of default branch revision has Branch header" 1>&2
+    exit 1
+fi
+if hg export 1 | python ../findbranch.py; then
+    :  # Do nothing
+else
+    echo "Export of branch revision is missing Branch header" 1>&2
+    exit 1
+fi
+# Make sure import still works with branch information in patches.
+cd ..
+hg init b
+cd b
+hg -R ../a export 0 | hg import -
+hg -R ../a export 1 | hg import -
diff --git a/tests/test-impexp-branch.out b/tests/test-impexp-branch.out
new file mode 100644
--- /dev/null
+++ b/tests/test-impexp-branch.out
@@ -0,0 +1,2 @@
+applying patch from stdin
+applying patch from stdin

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://selenic.com/pipermail/mercurial-devel/attachments/20070517/f5ff6e3c/attachment.pgp 


More information about the Mercurial-devel mailing list